---
updatedAt: 2026-09-02T14:36:09.000Z
agentTools:
  projectIndex: https://developers.flipdish.com/llms.txt
---

# Snooze items

⚠️ **Beta Notice:** This endpoint is currently in beta and may change or be deprecated at any time without notice.

Snooze items

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Menu Management API",
    "version": "1.0.0",
    "description": "⚠️ **Beta Notice:** This endpoint is currently in beta and may change or be deprecated at any time without notice.\n\nAPI for managing restaurant menus, including publishing, archiving, and retrieving menu data.",
    "contact": {
      "name": "Flipdish API Support",
      "url": "https://help.flipdish.com",
      "email": "help@flipdish.com"
    }
  },
  "servers": [
    {
      "url": "https://api.flipdish.co",
      "description": "Flipdish base API"
    }
  ],
  "tags": [
    {
      "name": "Menu Management - Snooze",
      "description": "Operations for Menu Management - Snooze"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token authentication"
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "properties": {
          "error": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        },
        "required": [
          "error",
          "message"
        ]
      },
      "PublicGetSnoozedItemsSchema": {
        "type": "object",
        "properties": {
          "itemId": {
            "type": "string",
            "description": "The ID of the menu item to un-snooze"
          },
          "itemType": {
            "type": "string",
            "enum": [
              "menu.item",
              "menu.option"
            ],
            "description": "The type of the item to un-snooze",
            "example": "menu.item"
          },
          "snoozeStart": {
            "type": "string",
            "nullable": true,
            "format": "date-time",
            "description": "The start date of the snooze",
            "example": "2025-06-01T16:00:00Z"
          },
          "snoozeEnd": {
            "type": "number",
            "nullable": true,
            "description": "Time period of the snooze in seconds",
            "example": 3600
          },
          "propertyIds": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string",
              "pattern": "^p\\d+$",
              "description": "Property ID in standard format",
              "example": "p123"
            },
            "description": "List of property IDs the snooze applies to. If omitted, the snooze applies to all properties using the menu.",
            "example": [
              "p001",
              "p002"
            ]
          },
          "isSnoozed": {
            "type": "boolean",
            "description": "Whether the item is snoozed",
            "example": true
          }
        },
        "required": [
          "itemId",
          "itemType",
          "isSnoozed"
        ],
        "description": "Response schema describing snooze status for menu items and options."
      },
      "Snoozeitemsresponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PublicGetSnoozedItemsSchema"
            }
          }
        },
        "required": [
          "data"
        ]
      },
      "PublicSnoozeItemSchema": {
        "type": "object",
        "properties": {
          "itemId": {
            "type": "string",
            "description": "The ID of the menu item to snooze"
          },
          "itemType": {
            "type": "string",
            "enum": [
              "menu.item",
              "menu.option"
            ],
            "description": "The type of the item to snooze",
            "example": "menu.item"
          },
          "snoozeStart": {
            "type": "string",
            "format": "date-time",
            "description": "The start date of the snooze",
            "example": "2021-01-01T16:00:00Z"
          },
          "snoozeEnd": {
            "type": "number",
            "nullable": true,
            "description": "Time period of the snooze in seconds",
            "example": 3600
          },
          "propertyIds": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string",
              "pattern": "^p\\d+$",
              "description": "Property ID in standard format",
              "example": "p123"
            },
            "description": "List of property IDs the snooze applies to. If omitted, the snooze applies to all properties using the menu.",
            "example": [
              "p001",
              "p002"
            ]
          }
        },
        "required": [
          "itemId",
          "itemType",
          "snoozeStart"
        ],
        "description": "Request schema specifying menu items/options to snooze and scope."
      }
    }
  },
  "paths": {
    "/menuManagement/orgs/{orgId}/menus/{menuId}/snoozes": {
      "post": {
        "summary": "Snooze items",
        "description": "⚠️ **Beta Notice:** This endpoint is currently in beta and may change or be deprecated at any time without notice.\n\nSnooze items",
        "operationId": "post__menuManagement_orgs__orgId_menus__menuId_snoozes_14",
        "tags": [
          "Menu Management - Snooze"
        ],
        "security": [
          {
            "BearerAuth": []
          }
        ],
        "parameters": [
          {
            "schema": {
              "type": "string",
              "pattern": "^org\\d+$",
              "description": "Organization ID in standard format",
              "example": "org123"
            },
            "required": true,
            "name": "orgId",
            "in": "path"
          },
          {
            "schema": {
              "type": "string",
              "pattern": "^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$",
              "description": "Menu ID",
              "example": "123e4567-e89b-12d3-a456-426614174000"
            },
            "required": true,
            "name": "menuId",
            "in": "path"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/PublicSnoozeItemSchema"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Snooze items response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Snoozeitemsresponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Authentication has been denied",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Successfully authenticated but access has been denied",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    }
  }
}
```